<?php

$dictionary['ecminvoiceouts_ecmstockins'] = array (
	'table' => 'ecminvoiceouts_ecmstockins',
	'fields' => array (
		array(
			'name' => 'id',
			'type' => 'varchar',
			'len'=>'36'
		),
		array(
			'name' => 'ecminvoiceout_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array(
			'name' => 'ecmstockin_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array (
			'name' => 'date_modified',
			'type' => 'datetime'
		),
		array(
			'name' => 'deleted',
			'type' => 'bool',
			'len' => '1',
			'default' => '0',
			'required' => true
		)
	),
	'indices' => array (
		array(
			'name' => 'ecminvoiceouts_ecmstockinspk',
			'type' => 'primary',
			'fields' => array('id')
		),
		array(
			'name' => 'idx_ecmio_ecmsin_ecmio',
			'type' => 'index',
			'fields' => array('ecminvoiceout_id')
		),
		array(
			'name' => 'idx_ecmio_ecmsin_ecmsio',
			'type' => 'index',
			'fields' => array('ecmstockin_id')
		),
		array(
			'name' => 'idx_ecmio_doc',
			'type' => 'alternate_key',
			'fields' => array('ecminvoiceout_id','ecmstockin_id')
		)
	),
	'relationships' => array (
		'ecminvoiceouts_ecmstockins' => array(
			'lhs_module' => 'EcmInvoiceOuts',
			'lhs_table' => 'ecminvoiceouts',
			'lhs_key' => 'id',
			'rhs_module' => 'EcmStockIns',
			'rhs_table' => 'ecmstockins',
			'rhs_key' => 'id',
			'relationship_type' => 'many-to-many',
			'join_table' => 'ecminvoiceouts_ecmstockins',
			'join_key_lhs' => 'ecminvoiceout_id',
			'join_key_rhs' => 'ecmstockin_id'
		)
	),
);


?>